APIs / GitHub / Repository Raw File

GitHub: Repository Raw File

Repository Raw File from GitHub as JSON. 1 credit per successful call.

GET /v1/github/repository-raw-file

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
ownerstringRequiredUp to 39 characters
repostringRequiredUp to 100 characters
pathstringRequiredUp to 400 characters
refstringRequiredUp to 255 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/github/repository-raw-file?owner=laravel&repo=framework&ref=13.x&path=README.md" \
  -H "X-API-Key: $API_KEY"